using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels;
using TravelCompanyContracts.ViewModels;

namespace TravelCompanyContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        public List<ReportGuideView> GetGuidesByTravels(ReportBindingModel model);
        List<ReportTravelsPCView> GetTravelsPCView(ReportBindingModel model);
       // void saveTravelsToPdfFile(ReportBindingModel model);
        void saveGuidesToPdfFile(ReportBindingModel model);
        void saveGuidesToWord(ReportBindingModel model);
        void saveGuidesToExcel(ReportBindingModel model);
      //  public void saveExcursionsToExcel(ReportBindingModel model);
      //  public void saveExcursionsToWord(ReportBindingModel model);
    }
}
